<?php
/**
* processtipp.php
*                             -------------------
*    begin                : Monday, Mai 02, 2005
*    copyright            : (C) 2005 shop.werkanndennnochfahren mods
*    email                : lechon@arcor.de
*
*    $Id: mod_tippspiel,v 1.0.0 BETA 2005/05/02 17:00:00 Eric Mispelbaum Exp $
*/

/**
* This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management

$userdata = session_pagestart($user_ip, PAGE_TIPPSPIEL);
init_userprefs($userdata);

// End session management

include($phpbb_root_path . 'includes/page_header.' . $phpEx);

include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_tippspiel.' . $phpEx);

$tippusername = $userdata['username'];

if ($userdata['user_id'] != ANONYMOUS) {
    $now = time();
    $tipptime = time();
    $tippende = $board_config['tipp_endetippabgabe'] * 60;
    $now = $now + $tippende;

    $userid = $userdata['user_id'];
    $tippheim = $_POST["Tippheimtore"];
    $tippaus = $_POST["Tippaustore"];
    $spielid = $_POST["spielid"];
    $gametime = $_POST["gametime"];
    $timeelapsed = $_POST["timeelapsed"];
    $mode = $_POST["mode"];

    $koenigname = $_POST["koenigname"];
    $koenigverein = $_POST["koenigverein"];
    $koenigid = $_POST["koenigid"];
    $meister = $_POST["meister"];

    if ($mode == 'winner') {
        // //////////////////////////////////////////////////////
        $sql = "UPDATE " . USERS_TABLE . " SET tipp_meister = '$meister' WHERE user_id = '$userid' ";
        if (!($result = $db->sql_query($sql))) {
            message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
        }

        $sql = "SELECT COUNT(id) as playercount FROM tippspiel_koenig WHERE userid = '$userid' ";
        if (!$result = $db->sql_query($sql))
            message_die(GENERAL_ERROR, $lang['tipp_Sql_Error'], $lang['Error'], __LINE__, __FILE__, $sql);

        while ($row = $db->sql_fetchrow($result)) {
            $playercount = $row['playercount'];
        }

        if ($playercount == 1) {
            $sql = "UPDATE tippspiel_koenig SET spieler = '$koenigname', verein = '$koenigverein' WHERE userid = '$userid' ";
            if (!($result = $db->sql_query($sql))) {
                message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
            }
        } else {
            $sql = "INSERT INTO tippspiel_koenig (spieler, verein, userid) VALUES('$koenigname', '$koenigverein', '$userid')";
            if (!($result = $db->sql_query($sql))) {
                message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
            }
        }
        $output = <<<EOF
<br />
<table width="95%" height="40" cellpadding="2" cellspacing="1" border="0" class="forumline" align="center" valign="center">
<tr><td class="row1" align="center"><span class="gensmall">{$lang['tipp_entrysucess']}<br /><br />
EOF;
        $output .= '<a href="' . append_sid("bundesliga.$phpEx") . '">' . $lang['tipp_l_mainpage'] . '</a><br /><br />
          <a href="' . append_sid("spieltage.$phpEx") . '">' . $lang['tipp_l_spieltagetipp'] . '</a>';
        if (!empty($extraspielidcheck)) {
            $output .= '<br /><br />
              <a href="' . append_sid("extraspiele.$phpEx") . '">' . $lang['tipp_l_extraspiele'] . '</a>';
        }
        $output .= '</span></td></tr></table>';
        message_die(GENERAL_MESSAGE, $output);
        // ///////////////////////////////////////////////////////
    } else {
        for ($c = 0; $c < count($spielid); $c++) {
            $sql = "SELECT * FROM  tippspiel_usertips WHERE spielid = '$spielid[$c]' AND userid = '$userid' ORDER BY spielid ASC";
            if (!$result = $db->sql_query($sql))
                message_die(GENERAL_ERROR, $lang['tipp_Sql_Error'], $lang['Error'], __LINE__, __FILE__, $sql);
            while ($row = $db->sql_fetchrow($result)) {
                $tippspielid[$c] = $row['spielid'];
            }
        }

        $sql = "UPDATE " . USERS_TABLE . " SET tipp_spieltagtipps = 1 WHERE user_id = '$userid' ";
        if (!($result = $db->sql_query($sql))) {
            message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
        }

        $sql = "SELECT extraspielid FROM tippspiel_extraspiele ORDER BY extraspielid ASC LIMIT 0,1 ";
        if (!$result = $db->sql_query($sql))
            message_die(GENERAL_ERROR, $lang['tipp_Sql_Error'], $lang['Error'], __LINE__, __FILE__, $sql);

        while ($row = $db->sql_fetchrow($result)) {
            $extraspielidcheck = $row['extraspielid'];
        }

        if ($mode == 'extratipp') {
            // ////////////////////////////////////////////////////////
            $sql = "SELECT extraspielid FROM tippspiel_extraspieleusertips WHERE userid = '$userid' AND extraspielid = '$spielid' LIMIT 0,1 ";
            if (!$result = $db->sql_query($sql))
                message_die(GENERAL_ERROR, $lang['tipp_Sql_Error'], $lang['Error'], __LINE__, __FILE__, $sql);

            while ($row = $db->sql_fetchrow($result)) {
                $extraspielidtipp = $row['extraspielid'];
            }

            $checknumber = 0;
            if (ctype_digit($tippaus) != 1) {
                $checknumber = 1;
            }
            if (ctype_digit($tippheim) != 1) {
                $checknumber = 1;
            }
            if ($checknumber == 1) {
                $output = <<<EOF
<table width="95%" height="40" cellpadding="2" cellspacing="1" border="0" class="forumline" align="center" valign="center">
<tr><td class="row1" align="center"><span class="gensmall">{$lang['tipp_entryfailed']}<br /><br />
EOF;
                $output .= '<a href="' . append_sid("bundesliga.$phpEx") . '">' . $lang['tipp_l_mainpage'] . '</a><br /><br />
                  <a href="' . append_sid("spieltage.$phpEx") . '">' . $lang['tipp_l_spieltagetipp'] . '</a>';
                if (!empty($extraspielidcheck)) {
                    $output .= '<br /><br />
                      <a href="' . append_sid("extraspiele.$phpEx") . '">' . $lang['tipp_l_extraspiele'] . '</a>';
                }
                $output .= '</span></td></tr></table>';
                message_die(GENERAL_MESSAGE, $output);
            } else {
                if ($tippaus == '') {
                    if ($tippheim == '') {
                        if ($extraspielidtipp != '') {
                            $sql = "UPDATE tippspiel_extraspieleusertips SET heimtipp = NULL, auswartstipp = NULL, tippzeit = '$tipptime' WHERE extraspielid = '$spielid' AND userid = '$userid' ";
                            if (!($result = $db->sql_query($sql))) {
                                message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
                            }
                        }
                    }
                }

                if ($tippaus == '') {
                    if ($tippheim == '') {
                        if ($extraspielidtipp == '') {
                            $sql = "INSERT INTO tippspiel_extraspieleusertips (extraspielid, userid, tippzeit) VALUES('$spielid', '$userid', '$tipptime')";
                            if (!($result = $db->sql_query($sql))) {
                                message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
                            }
                        }
                    }
                }

                if ($gametime > $now) {
                    if ($tippaus != '') {
                        if ($tippheim != '') {
                            if ($extraspielidtipp != '') {
                                $sql = "UPDATE tippspiel_extraspieleusertips SET heimtipp = '$tippheim', auswartstipp = '$tippaus', tippzeit = '$tipptime' WHERE extraspielid = '$spielid' AND userid = '$userid' ";
                                if (!($result = $db->sql_query($sql))) {
                                    message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
                                }
                            } else {
                                $sql = "INSERT INTO tippspiel_extraspieleusertips (extraspielid, heimtipp, auswartstipp, userid, tippzeit) VALUES('$spielid', '$tippheim', '$tippaus', '$userid', '$tipptime')";
                                if (!($result = $db->sql_query($sql))) {
                                    message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
                                }
                            }
                        }
                    }
                }
                $output = <<<EOF
<table width="95%" height="40" cellpadding="2" cellspacing="1" border="0" class="forumline" align="center" valign="center">
<tr><td class="row1" align="center"><span class="gensmall">{$lang['tipp_entrysucess']}<br /><br />
EOF;
                $output .= '<a href="' . append_sid("bundesliga.$phpEx") . '">' . $lang['tipp_l_mainpage'] . '</a><br /><br />
                  <a href="' . append_sid("spieltage.$phpEx") . '">' . $lang['tipp_l_spieltagetipp'] . '</a>';
                if (!empty($extraspielidcheck)) {
                    $output .= '<br /><br />
                      <a href="' . append_sid("extraspiele.$phpEx") . '">' . $lang['tipp_l_extraspiele'] . '</a>';
                }
                $output .= '</span></td></tr></table>';

                if ($board_config['tipp_tippusermail'] == '1') {
                    $extramailtitle = $lang['tipp_extratippmail_title'];

                    $sql = "SELECT anlass, heim, auswarts FROM tippspiel_extraspiele WHERE extraspielid = '$spielid' LIMIT 0,1 ";
                    if (!$result = $db->sql_query($sql))
                        message_die(GENERAL_ERROR, $lang['tipp_Sql_Error'], $lang['Error'], __LINE__, __FILE__, $sql);
                    while ($row = $db->sql_fetchrow($result)) {
                        $extramailanlass = $row['anlass'];
                        $extramailheim = $row['heim'];
                        $extramailauswarts = $row['auswarts'];
                    }

                    $sql = "SELECT user_email, username FROM " . USERS_TABLE . " WHERE user_id ='$userid' ";
                    if (!$result = $db->sql_query($sql))
                        message_die(GENERAL_ERROR, $lang['tipp_Sql_Error'], $lang['Error'], __LINE__, __FILE__, $sql);
                    while ($row = $db->sql_fetchrow($result)) {
                        $extramailusermail = $row['user_email'];
                        $extramailusername = $row['username'];
                    }

                    $extramailtippzeit = create_date($board_config['default_dateformat'], $tipptime, $board_config['board_timezone']);

                    include_once($phpbb_root_path . 'includes/emailer.' . $phpEx);

                    // Let's do some checking to make sure that mass mail functions
                    // are working in win32 versions of php.

                    if (preg_match('/[c-z]:\\\.*/i', getenv('PATH')) && !$board_config['smtp_delivery']) {
                        $ini_val = (@phpversion() >= '4.0.0') ? 'ini_get' : 'get_cfg_var';
                        // We are running on windows, force delivery to use our smtp functions
                        // since php's are broken by default
                        $board_config['smtp_delivery'] = 1;
                        $board_config['smtp_host'] = @$ini_val('SMTP');
                    }

                    $emailer = new emailer($board_config['smtp_delivery']);

                    $emailer->from($board_config['board_email']);
                    $emailer->replyto($board_config['board_email']);

                    $email_headers = 'X-AntiAbuse: Board servername - ' . $board_config['server_name'] . "\n";
                    $email_headers .= 'X-AntiAbuse: User_id - ' . $userdata['user_id'] . "\n";
                    $email_headers .= 'X-AntiAbuse: Username - ' . $userdata['username'] . "\n";
                    $email_headers .= 'X-AntiAbuse: User IP - ' . decode_ip($user_ip) . "\n";

                    $emailer->use_template('tipp_extrausertippmail');
                    $emailer->email_address($extramailusermail);
                    $emailer->set_subject($extramailtitle);
                    $emailer->extra_headers($email_headers);

                    $emailer->assign_vars(array('ANLASS' => $extramailanlass,
                            'NAME' => $extramailusername,
                            'TIPPTIME' => $extramailtippzeit,
                            'HEIM' => $extramailheim,
                            'AUSWARTS' => $extramailauswarts,
                            'TIPPHEIM' => $tippheim,
                            'TIPPAUSWARTS' => $tippaus

                            )
                        );

                    $emailer->send();
                    $emailer->reset();
                }
                message_die(GENERAL_MESSAGE, $output);
            }
            // /////////////////////////////////////////////////////////
        } else {
            $spieltag = floor($spielid[0] / 100);

            $checknumber = 0;
            for ($i = 0; $i < $board_config['tipp_spielespieltag']; $i++) {
                if ($tippaus[$i] != '') {
                    if (ctype_digit($tippaus[$i]) != 1) {
                        $checknumber = 1;
                    }
                }
                if ($tippheim[$i] != '') {
                    if (ctype_digit($tippheim[$i]) != 1) {
                        $checknumber = 1;
                    }
                }
            }
            if ($checknumber == 1) {
                $output = <<<EOF
<table width="95%" height="40" cellpadding="2" cellspacing="1" border="0" class="forumline" align="center" valign="center">
<tr><td class="row1" align="center"><span class="gensmall">{$lang['tipp_entryfailed']}<br /><br />
EOF;
                $output .= '<a href="' . append_sid("bundesliga.$phpEx") . '">' . $lang['tipp_l_mainpage'] . '</a><br /><br />
                  <a href="' . append_sid("spieltage.$phpEx") . '">' . $lang['tipp_l_spieltagetipp'] . '</a>';
                if (!empty($extraspielidcheck)) {
                    $output .= '<br /><br />
                      <a href="' . append_sid("extraspiele.$phpEx") . '">' . $lang['tipp_l_extraspiele'] . '</a>';
                }
                $output .= '</span></td></tr></table>';
                message_die(GENERAL_MESSAGE, $output);
            } else {
                for ($i = 0; $i < $board_config['tipp_spielespieltag']; $i++) {
                    if ($tippaus[$i] == '') {
                        if ($tippheim[$i] == '') {
                            if ($tippspielid[$i] != '') {
                                $sql = "UPDATE tippspiel_usertips SET heimtipp = NULL, auswartstipp = NULL, tippzeit = '$tipptime' WHERE spielid = '$spielid[$i]' AND userid = '$userid' ";
                                if (!($result = $db->sql_query($sql))) {
                                    message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
                                }
                            }
                        }
                    }

                    if ($tippaus[$i] == '') {
                        if ($tippheim[$i] == '') {
                            if ($tippspielid[$i] == '') {
                                $sql = "INSERT INTO tippspiel_usertips (spielid, userid, tippzeit, spieltag) VALUES('" . $spielid[$i] . "', '$userid', '$tipptime', '$spieltag')";
                                if (!($result = $db->sql_query($sql))) {
                                    message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
                                }
                            }
                        }
                    }
                    if ($gametime[$i] > $now) {
                        if ($tippaus[$i] != '') {
                            if ($tippheim[$i] != '') {
                                if ($tippspielid[$i] != '') {
                                    $sql = "UPDATE tippspiel_usertips SET heimtipp = '$tippheim[$i]', auswartstipp = '$tippaus[$i]', tippzeit = '$tipptime' WHERE spielid = '$spielid[$i]' AND userid = '$userid' ";
                                    if (!($result = $db->sql_query($sql))) {
                                        message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
                                    }
                                } else {
                                    $sql = "INSERT INTO tippspiel_usertips (spielid, heimtipp, auswartstipp, userid, tippzeit, spieltag) VALUES('" . $spielid[$i] . "', '" . $tippheim[$i] . "', '" . $tippaus[$i] . "', '$userid', '$tipptime', '$spieltag')";
                                    if (!($result = $db->sql_query($sql))) {
                                        message_die(GENERAL_ERROR, 'Konnte keine Verbindung erstellen', '', __LINE__, __FILE__, $sql);
                                    }
                                }
                            }
                        }
                    } else {
                        if ($timeelapsed[$i] == 0) {
                            $cheat = 1;
                        }
                    }
                }

                if ($cheat == 1) {
                    $output = <<<EOF
<table width="95%" height="40" cellpadding="2" cellspacing="1" border="0" class="forumline" align="center" valign="center">
<tr><td class="row1" align="center"><span class="gensmall">{$lang['tipp_entrycheat']}<br /><br />
EOF;
                    $output .= '<a href="' . append_sid("bundesliga.$phpEx") . '">' . $lang['tipp_l_mainpage'] . '</a><br /><br />
                      <a href="' . append_sid("spieltage.$phpEx") . '">' . $lang['tipp_l_spieltagetipp'] . '</a>';
                    if (!empty($extraspielidcheck)) {
                        $output .= '<br /><br />
                          <a href="' . append_sid("extraspiele.$phpEx") . '">' . $lang['tipp_l_extraspiele'] . '</a>';
                    }
                    $output .= '</span></td></tr></table>';
                    message_die(GENERAL_MESSAGE, $output);
                } else {
                    $output = <<<EOF
<table width="95%" height="40" cellpadding="2" cellspacing="1" border="0" class="forumline" align="center" valign="center">
<tr><td class="row1" align="center"><span class="gensmall">{$lang['tipp_entrysucess']}<br /><br />
EOF;
                    $output .= '<a href="' . append_sid("bundesliga.$phpEx") . '">' . $lang['tipp_l_mainpage'] . '</a><br /><br />
                      <a href="' . append_sid("spieltage.$phpEx") . '">' . $lang['tipp_l_spieltagetipp'] . '</a>';
                    if (!empty($extraspielidcheck)) {
                        $output .= '<br /><br />
                          <a href="' . append_sid("extraspiele.$phpEx") . '">' . $lang['tipp_l_extraspiele'] . '</a>';
                    }
                    $output .= '</span></td></tr></table>';
                    // ////////////////////////////////////////////////////////
                    if ($board_config['tipp_tippusermail'] == '1') {
                        $title = $lang['tipp_tippmail_title'];

                        $spieltag = floor($spielid[0] / 100);

                        $sql = "SELECT heim, auswarts FROM tippspiel_spieltage WHERE spieltag = '$spieltag' ORDER BY spielid ASC ";
                        if (!$result = $db->sql_query($sql))
                            message_die(GENERAL_ERROR, $lang['tipp_Sql_Error'], $lang['Error'], __LINE__, __FILE__, $sql);
                        while ($row = $db->sql_fetchrow($result)) {
                            $emailheim[] = $row['heim'];
                            $emailauswarts[] = $row['auswarts'];
                        }

                        $sql = "SELECT user_email, username FROM " . USERS_TABLE . " WHERE user_id ='$userid' ";
                        if (!$result = $db->sql_query($sql))
                            message_die(GENERAL_ERROR, $lang['tipp_Sql_Error'], $lang['Error'], __LINE__, __FILE__, $sql);
                        while ($row = $db->sql_fetchrow($result)) {
                            $usermail = $row['user_email'];
                            $username = $row['username'];
                        }

                        $tippzeit = create_date($board_config['default_dateformat'], $tipptime, $board_config['board_timezone']);

                        $usertippemail = "";
                        for ($i = 0; $i < $board_config['tipp_spielespieltag']; $i++) {
                            if ($tippheim[$i] == '') {
                                $tippheim[$i] = 'N/A';
                            }
                            if ($tippaus[$i] == '') {
                                $tippaus[$i] = 'N/A';
                            }

                            $strlenute = strlen($usertippemail);
                            $strpad = $strlenute + 1;
                            $usertippemail = str_pad($usertippemail, $strpad, "(", STR_PAD_RIGHT);

                            $strlenute = strlen($usertippemail);
                            $strlinput = strlen($emailheim[$i]);
                            $strpad = $strlenute + $strlinput;
                            $usertippemail = str_pad($usertippemail, $strpad, $emailheim[$i], STR_PAD_RIGHT);

                            $strlenute = strlen($usertippemail);
                            $strpad = $strlenute + 3;
                            $usertippemail = str_pad($usertippemail, $strpad, " - ", STR_PAD_RIGHT);

                            $strlenute = strlen($usertippemail);
                            $strlinput = strlen($emailauswarts[$i]);
                            $strpad = $strlenute + $strlinput;
                            $usertippemail = str_pad($usertippemail, $strpad, $emailauswarts[$i], STR_PAD_RIGHT);

                            $strlenute = strlen($usertippemail);
                            $strpad = $strlenute + 3;
                            $usertippemail = str_pad($usertippemail, $strpad, " : ", STR_PAD_RIGHT);

                            $strlenute = strlen($usertippemail);
                            $strlinput = strlen($tippheim[$i]);
                            $strpad = $strlenute + $strlinput;
                            $usertippemail = str_pad($usertippemail, $strpad, $tippheim[$i], STR_PAD_RIGHT);

                            $strlenute = strlen($usertippemail);
                            $strpad = $strlenute + 1;
                            $usertippemail = str_pad($usertippemail, $strpad, "-", STR_PAD_RIGHT);

                            $strlenute = strlen($usertippemail);
                            $strlinput = strlen($tippaus[$i]);
                            $strpad = $strlenute + $strlinput;
                            $usertippemail = str_pad($usertippemail, $strpad, $tippaus[$i], STR_PAD_RIGHT);

                            $strlenute = strlen($usertippemail);
                            $strpad = $strlenute + 1;
                            $usertippemail = str_pad($usertippemail, $strpad, ")", STR_PAD_RIGHT);

                            $strlenute = strlen($usertippemail);
                            $strpad = $strlenute + 3;
                            $usertippemail = str_pad($usertippemail, $strpad, " ; ", STR_PAD_RIGHT);
                        }

                        include_once($phpbb_root_path . 'includes/emailer.' . $phpEx);

                        // Let's do some checking to make sure that mass mail functions
                        // are working in win32 versions of php.

                        if (preg_match('/[c-z]:\\\.*/i', getenv('PATH')) && !$board_config['smtp_delivery']) {
                            $ini_val = (@phpversion() >= '4.0.0') ? 'ini_get' : 'get_cfg_var';
                            // We are running on windows, force delivery to use our smtp functions
                            // since php's are broken by default
                            $board_config['smtp_delivery'] = 1;
                            $board_config['smtp_host'] = @$ini_val('SMTP');
                        }

                        $emailer = new emailer($board_config['smtp_delivery']);

                        $emailer->from($board_config['board_email']);
                        $emailer->replyto($board_config['board_email']);

                        $email_headers = 'X-AntiAbuse: Board servername - ' . $board_config['server_name'] . "\n";
                        $email_headers .= 'X-AntiAbuse: User_id - ' . $userdata['user_id'] . "\n";
                        $email_headers .= 'X-AntiAbuse: Username - ' . $userdata['username'] . "\n";
                        $email_headers .= 'X-AntiAbuse: User IP - ' . decode_ip($user_ip) . "\n";

                        $emailer->use_template('tipp_usertippmail');
                        $emailer->email_address($usermail);
                        $emailer->set_subject($title);
                        $emailer->extra_headers($email_headers);

                        $emailer->assign_vars(array('SPIELTAG' => $spieltag,
                                'NAME' => $username,
                                'TIPPTIME' => $tippzeit,
                                'TIPPS' => $usertippemail

                                )
                            );

                        $emailer->send();
                        $emailer->reset();
                    }
                    // //////////////////////////////////////////////////////
                    message_die(GENERAL_MESSAGE, $output);
                }
            }
        }
    }
} else {
    $output = <<<EOF
<table width="95%" height="40" cellpadding="2" cellspacing="1" border="0" class="forumline" align="center" valign="center">
<tr><td class="row1" align="center"><span class="gensmall">{$lang['session_fail']}<br /><br />
EOF;
    $output .= '<a href="' . append_sid("bundesliga.$phpEx") . '">' . $lang['tipp_l_mainpage'] . '</a><br /><br />
      <a href="' . append_sid("spieltage.$phpEx") . '">' . $lang['tipp_l_spieltagetipp'] . '</a>';
    if (!empty($extraspielidcheck)) {
        $output .= '<br /><br />
          <a href="' . append_sid("extraspiele.$phpEx") . '">' . $lang['tipp_l_extraspiele'] . '</a>';
    }
    $output .= '</span></td></tr></table>';
    message_die(GENERAL_MESSAGE, $output);
}

?>